Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class ConnectionReleaseMode

    java.lang.Object
      org.hibernate.ConnectionReleaseMode

All Implemented Interfaces:
  Serializable

    public class ConnectionReleaseMode

extends Object
implements Serializable

Defines the various policies by which Hibernate might release its underlying JDBC connection.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static ConnectionReleaseMode` | `AFTER_STATEMENT` Indicates that JDBC connection should be aggressively released after each SQL statement is executed.
`static ConnectionReleaseMode` | `AFTER_TRANSACTION` Indicates that JDBC connections should be released after each transaction ends (works with both JTA-registered synch and HibernateTransaction API).
`static ConnectionReleaseMode` | `ON_CLOSE` Indicates that connections should only be released when the Session is explicitly closed or disconnected; this is the legacy (Hibernate2 and pre-3.1) behavior.

Method Summary
`static ConnectionReleaseMode` | `parse(String modeName)` Determine the correct ConnectionReleaseMode instance based on the given name.
`String` | `toString()` Override of Object.toString().

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AFTER_STATEMENT

    public static final ConnectionReleaseMode AFTER_STATEMENT

  Indicates that JDBC connection should be aggressively released after each SQL statement is executed. In this mode, the application must explicitly close all iterators and scrollable results. This mode may only be used with a JTA datasource.

### AFTER_TRANSACTION

    public static final ConnectionReleaseMode AFTER_TRANSACTION

  Indicates that JDBC connections should be released after each transaction ends (works with both JTA-registered synch and HibernateTransaction API). This mode may not be used with an application server JTA datasource.

  This is the default mode starting in 3.1; was previously `ON_CLOSE`.

### ON_CLOSE

    public static final ConnectionReleaseMode ON_CLOSE

  Indicates that connections should only be released when the Session is explicitly closed or disconnected; this is the legacy (Hibernate2 and pre-3.1) behavior.

Method Detail

### toString

    public String toString()

  Override of Object.toString(). Returns the release mode name.

  Overrides:
    `toString` in class `Object`
  Returns:
    The release mode name.

### parse

    public static ConnectionReleaseMode parse(String modeName)
                                       throws HibernateException

  Determine the correct ConnectionReleaseMode instance based on the given name.

  Parameters:
    `modeName` - The release mode name.
  Returns:
    The appropriate ConnectionReleaseMode instance
  Throws:
    `HibernateException` - Indicates the modeName param did not match any known modes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD